You are not logged in.

#1 2012-02-29 13:51:52

lozzaaa
Member
Registered: 2012-02-29
Posts: 7

[SOLVED] /lib/libstdc++.so.6: version `GLIBCXX_3.4.15' not found

I keep getting this error when trying to run applications such as firefox and thunderbird.
It's pretty clear it's a problem with gcc but I can't figure out how to fix it.
Every other solved thread was something to do with updating the gcc, gcc-libs and glibc packages but mine all seem to be up to date.

local/gcc 4.6.2-7 (base-devel)
local/gcc-libs 4.6.2-7 (base)
local/glibc 2.15-6 (base)
local/libstdc++5 3.3.6-4

Also running strings /usr/lib/libstdc++.so.6 | grep GLIBCXX gives:

GLIBCXX_3.4
GLIBCXX_3.4.1
GLIBCXX_3.4.2
GLIBCXX_3.4.3
GLIBCXX_3.4.4
GLIBCXX_3.4.5
GLIBCXX_3.4.6
GLIBCXX_3.4.7
GLIBCXX_3.4.8
GLIBCXX_3.4.9
GLIBCXX_3.4.10
GLIBCXX_3.4.11
GLIBCXX_3.4.12
GLIBCXX_3.4.13
GLIBCXX_3.4.14
GLIBCXX_3.4.15
GLIBCXX_3.4.16
GLIBCXX_DEBUG_MESSAGE_LENGTH

which shows 3.4.15 is there.

I've pretty much run out of ideas at this point, thanks for any help.

Linux eee 3.2.7-1-ARCH #1 SMP PREEMPT Tue Feb 21 16:59:04 UTC 2012 i686 Intel(R) Atom(TM) CPU 330 @ 1.60GHz GenuineIntel GNU/Linux

Last edited by lozzaaa (2012-03-02 11:32:59)

Offline

#2 2012-02-29 15:45:14

Blµb
Member
Registered: 2008-02-10
Posts: 223

Re: [SOLVED] /lib/libstdc++.so.6: version `GLIBCXX_3.4.15' not found

try ldd on the binaries or LD_DEBUG=files to see whether or not it loads the correct libstdc++, since gcc ships libstdc++.so.6, and you have libstdc++5 also installed. So they might be using the wrong one?


You know you're paranoid when you start thinking random letters while typing a password.
A good post about vim
Python has no multithreading.

Offline

#3 2012-02-29 16:58:54

lozzaaa
Member
Registered: 2012-02-29
Posts: 7

Re: [SOLVED] /lib/libstdc++.so.6: version `GLIBCXX_3.4.15' not found

I don't have access to my laptop at the moment so I can't try what you suggested until tomorrow.

Are you saying that libstdc++5 is a separate older version? Shall I just remove it so that it uses the newer built-in one instead?

Thanks.

Offline

#4 2012-02-29 20:46:21

Allan
Developer
From: Brisbane, AU
Registered: 2007-06-09
Posts: 10,432
Website

Re: [SOLVED] /lib/libstdc++.so.6: version `GLIBCXX_3.4.15' not found

Is your glibc package fully up-to-date?

Offline

#5 2012-02-29 20:52:50

lozzaaa
Member
Registered: 2012-02-29
Posts: 7

Re: [SOLVED] /lib/libstdc++.so.6: version `GLIBCXX_3.4.15' not found

Yeah I posted all the version numbers at the top. They were all updated with pacman -Syu and then individually as well to make sure.

Offline

#6 2012-03-02 11:32:15

lozzaaa
Member
Registered: 2012-02-29
Posts: 7

Re: [SOLVED] /lib/libstdc++.so.6: version `GLIBCXX_3.4.15' not found

Did an ldd on the firefox binary and found it was using /lib/libstdc++.so.6 not /usr/lib/libstdc++.so.6
Inspected the strings of the /lib/ version and lo and behold it only went up to 3.4.14
Copied the /usr/lib/ version over to /lib/ and it fixed everything.

Thanks Blµb!

Offline

#7 2012-03-02 12:26:13

wonder
Developer
From: Bucharest, Romania
Registered: 2006-07-05
Posts: 5,937
Website

Re: [SOLVED] /lib/libstdc++.so.6: version `GLIBCXX_3.4.15' not found

lozzaaa wrote:

Did an ldd on the firefox binary and found it was using /lib/libstdc++.so.6 not /usr/lib/libstdc++.so.6
Inspected the strings of the /lib/ version and lo and behold it only went up to 3.4.14
Copied the /usr/lib/ version over to /lib/ and it fixed everything.

Thanks Blµb!

the question is why do you have a copy in /lib/libstdc++.so.6 ? what package owns that file?


Give what you have. To someone, it may be better than you dare to think.
Blog

Offline

#8 2012-03-02 15:15:45

lozzaaa
Member
Registered: 2012-02-29
Posts: 7

Re: [SOLVED] /lib/libstdc++.so.6: version `GLIBCXX_3.4.15' not found

Yes and why does Firefox use it over the /usr/lib version?

Is there any way to find out?

Offline

#9 2012-03-02 15:41:13

wonder
Developer
From: Bucharest, Romania
Registered: 2006-07-05
Posts: 5,937
Website

Re: [SOLVED] /lib/libstdc++.so.6: version `GLIBCXX_3.4.15' not found

pacman -Qo /lib/libstdc++.so.6


Give what you have. To someone, it may be better than you dare to think.
Blog

Offline

#10 2012-03-05 10:37:22

lozzaaa
Member
Registered: 2012-02-29
Posts: 7

Re: [SOLVED] /lib/libstdc++.so.6: version `GLIBCXX_3.4.15' not found

I just did it and got: "error: No package owns /lib/libstdc++.so.6"

Not really sure how I got to be in this situation.

Offline

#11 2012-03-05 11:05:05

wonder
Developer
From: Bucharest, Romania
Registered: 2006-07-05
Posts: 5,937
Website

Re: [SOLVED] /lib/libstdc++.so.6: version `GLIBCXX_3.4.15' not found

lozzaaa wrote:

I just did it and got: "error: No package owns /lib/libstdc++.so.6"

Not really sure how I got to be in this situation.

delete it


Give what you have. To someone, it may be better than you dare to think.
Blog

Offline

#12 2012-03-05 12:33:05

lozzaaa
Member
Registered: 2012-02-29
Posts: 7

Re: [SOLVED] /lib/libstdc++.so.6: version `GLIBCXX_3.4.15' not found

But firefox still uses the one in that location. How do I make it use the /usr/lib one instead?

Offline

#13 2012-03-05 13:14:25

wonder
Developer
From: Bucharest, Romania
Registered: 2006-07-05
Posts: 5,937
Website

Re: [SOLVED] /lib/libstdc++.so.6: version `GLIBCXX_3.4.15' not found

lozzaaa wrote:

But firefox still uses the one in that location. How do I make it use the /usr/lib one instead?

it used that because it found it first.


Give what you have. To someone, it may be better than you dare to think.
Blog

Offline

Board footer

Powered by FluxBB